package lab2;
import java.sql.*;

public class EntradaSistemaDB implements InterfaceLogicaNegocio {

	public EntradaSistemaDB() {
		try{
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
		} catch (ClassNotFoundException e){ System.out.println("Clase no encontrada");
		} catch (Exception e) {e.printStackTrace();
		}
	}
	public boolean hacerLogin(String usuario, String password) {
		boolean login = false;
		try{
			Connection c = DriverManager.getConnection("jdbc:odbc:BDPasswLabLog3N");
			PreparedStatement s = c.prepareStatement("select * from cuenta where usuario=? and password=?");
			s.setString(1,usuario);
			s.setString(2,password);
			ResultSet r = s.executeQuery();
			login = r.next();
			s.close();
			c.close();
		} catch (SQLException e) {
			System.out.println("Error en el SQL: " + e.toString());
		} catch (Exception e) {
			System.out.println("Error: " + e.toString());
		}
		return login;
	}
}
